*,
::after,
::before {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  outline: 0;
}

html {
  font-family: sans-serif;
  height: 100%;
  -webkit-text-size-adjust: 100%;
  -webkit-tap-highlight-color: transparent;
}

a {
  cursor: pointer;
}

.ping-error a,
.vertical-last a,
.ping-buttons a {
  text-decoration: underline;
  color: #e8542c;
}

.ping-messages > div.ping-error {
  color: #ed3a03;
  word-wrap: break-word;
  margin-top: -35px;
  position: absolute;
 
}

body {
  margin: 0;
  padding: 0;
  height: 100%;
  font-family: Roboto, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans",
 sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  font-size: 13px;
  color: #000000;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  background-color: #f0eeed;
}

main .columns {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  height: 90vh;
}

@media only screen and (max-width: 1000px) {
  main .columns {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;

  }
}

main .columns .mobile-logo {
  display: none;
}

@media only screen and (max-width: 1000px) {
  main .columns .mobile-logo {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    padding: 35px 25px 25px 25px;
  }
}

main .columns .mobile-logo img {
  width: 150px;
}

main .columns .col-left {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  padding-right: 30px;
}

@media only screen and (max-width: 1000px) {
  main .columns .col-left {
    padding-right: 0px;
  }
}

main .columns .col-left .login-container {
  background-color: #fff;
  border: 1px solid;
  border-color: #c2c7ca;
  border-radius: 5px;
  height: 500px;
  max-width: 270px;
  padding: 20px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

main .columns .col-left .login-container form {
  height: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
}

main .columns .col-left .login-container form .ping-messages {
  position: relative;
}

main .columns .col-left .login-container form .ping-messages div {
  position: absolute;
  top: 40px;
}

main .columns .col-left .login-container form .ping-messages .unlock,
main .columns .col-left .login-container form .ping-messages .disable-account {
  color: #d71920;
  top: 20px;
}

main .columns .col-left .login-container form .ping-messages .unlock a,
main .columns .col-left .login-container form .ping-messages .disable-account a {
  color: #d71920;
  font-weight: bold;
}

main .columns .col-left .login-container form #input-group-1 {
  line-height: 2;
}

main .columns .col-left .login-container form #input-group-1 .tooltip-text.type-alert.place-bottom {
  margin: 0;
  position: absolute;
  left: 41px;
  top: 45px;
  -webkit-transition: opacity 0.3s ease-out;
  transition: opacity 0.3s ease-out;
  visibility: hidden;
  z-index: 999;
}

main .columns .col-left .login-container form #input-group-1 input {
  border: 1px solid #c2c7ca;
  background: #fff;
  height: 35px;
  width: 100%;
  padding: 10px;
}



main .columns .col-left .login-container form .login-btn {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  color: #fff;
  font-size: 17px;
  font-weight: bold;
  background-color: #e8542c;
  border-radius: 5px;
  height: 35px;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  margin-top: 20px;
}

main .columns .col-left .login-container form .login-btn:hover {
  background-color: #c93712;
}

main .columns .col-left .login-container form .vertical-last {
  font-size: 14px;
  text-align: center;
}

main .columns .col-right {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

@media only screen and (max-width: 1000px) {
  main .columns .col-right {
    display: none;
  }
}

main .columns .col-right img {
  -o-object-fit: contain;
     object-fit: contain;
  width: 700px;
}

.hidden {
  display: none;
}

_:-ms-fullscreen,
:root main .columns .col-left .login-container form #input-group-1 input {
  width: 90%;
}

_:-ms-fullscreen,
:root main .columns .col-left .login-container form .login-btn {
  width: 90%;
}

_:-ms-fullscreen,
:root main .columns .col-left .login-container form .vertical-last {
  text-align: left;
}

.hide{
display:none;
}

.show{
display:block !important;
visibility: visible !important;
}

/* place-bottom type-alert tooltip-text */

label .tooltip-text.type-alert,
.ping-input-label .tooltip-text.type-alert,
.ping-input-container .tooltip-text.type-alert {
  font-size: 14px;
  max-width: 200px;
  pointer-events: auto !important;
  text-transform: none;
  white-space: normal;
  font-weight: normal;
  padding: 8px 10px;
  display: inline-block;
  border: 1px solid #d8dbdc;
  background-color: #fff;
  color: #000;
  -webkit-box-shadow: 2px 2px 4px 0px #323232;
  -moz-box-shadow: 2px 2px 4px 0px #323232;
  box-shadow: 2px 2px 4px 0px #323232;
  filter: alpha(opacity=100);
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
  opacity: 1;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  -ms-border-radius: 3px;
  border-radius: 3px;
}
label .tooltip-text.type-alert.place-bottom,
.ping-input-label .tooltip-text.type-alert.place-bottom,
.ping-input-container .tooltip-text.type-alert.place-bottom {
  margin-top: 10px;
  position: absolute;
  left: 0;
  transition: opacity 0.3s ease-out;
  visibility: hidden;
  z-index: 999;
}
label .tooltip-text.type-alert.place-bottom:before, label .tooltip-text.type-alert.place-bottom:after,
.ping-input-label .tooltip-text.type-alert.place-bottom:before,
.ping-input-label .tooltip-text.type-alert.place-bottom:after,
.ping-input-container .tooltip-text.type-alert.place-bottom:before,
.ping-input-container .tooltip-text.type-alert.place-bottom:after {
  content: "";
  width: 0;
  height: 0;
  position: absolute;
  border-style: solid;
  border-width: 10px;
  left: 40px;
}
label .tooltip-text.type-alert.place-bottom:before,
.ping-input-label .tooltip-text.type-alert.place-bottom:before,
.ping-input-container .tooltip-text.type-alert.place-bottom:before {
  top: -21px;
  border-color: transparent transparent #d8dbdc transparent;
}
label .tooltip-text.type-alert.place-bottom:after,
.ping-input-label .tooltip-text.type-alert.place-bottom:after,
.ping-input-container .tooltip-text.type-alert.place-bottom:after {
  top: -20px;
  border-color: transparent transparent #fff transparent;
}
label .tooltip-text.type-alert.place-bottom.show,
.ping-input-label .tooltip-text.type-alert.place-bottom.show,
.ping-input-container .tooltip-text.type-alert.place-bottom.show {
	margin-left: 200px;
  visibility: visible;
}
 .ping-input-container .tooltip-text.type-alert.place-bottom.show {
    margin-left: 0;
    visibility: visible;
}
label .tooltip-text.type-alert .icon,
.ping-input-label .tooltip-text.type-alert .icon,
.ping-input-container .tooltip-text.type-alert .icon {
  display: inline-block;
  font-weight: 600;
  background-color: #f1ba1c;
  color: #fff;
  margin-right: 5px;
  width: 14px;
  text-align: center;
}
main .columns .col-left .login-container form #input-group-1 .password-container {
    position: relative;
}
main .columns .col-left .login-container form #input-group-1 #togglePassword {
		position: absolute;
		left: 190px;
		cursor: pointer;
		height: 100%;
		background: #c2c7ca;
		width: 38px;
		display: -webkit-inline-box;
		display: -ms-inline-flexbox;
		display: inline-flex;
		-webkit-box-align: center;
		-ms-flex-align: center;
		align-items: center;
		-webkit-box-pack: center;
		-ms-flex-pack: center;
		justify-content: center;
	}

#ping-login label.control-label {
    position: absolute;
}

div#input-group-1 .ping-input-container{
      position: relative;

}

ng-input-container-for-env {
        margin-top: 0;
        margin-bottom: 15px;
}


.ping-input-container-for-env input {
        border: 1px solid #cccccc;
        background: #fff;
}


.ping-input-container-for-env input:focus {
        border-color: #66afe9;
    outline: 0;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, 0.6);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, 0.6);
}

.form-toggle .ping-input-container-for-env {
        text-align: left;
        color: #D96932;
        text-transform: none;
        font-weight: bold;
        margin-bottom: 0;
}


.form-toggle {
        border: 1px solid #cccccc;
        border-radius: 5px;
        padding: 5px;
        width: 75%;
        margin: 0 auto;
        margin-bottom: 20px;
}

.form-toggle:not(.no-children):first-of-type {
        margin-bottom: 0;
        border-bottom-left-radius: 0;
        border-bottom-right-radius: 0;
        border-bottom: none;
}

.form-toggle:not(.no-children):nth-of-type(2) {
        border-top-right-radius: 0;
        border-top-left-radius: 0;
}
